*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Gill Sans','Gill Sans MT','Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}
body{
    width:100%;
    height:100%;
    background-color:rgb(27,33,39);
    display:flex;
    gap:20px;
    justify-content:start;
    align-items: center;
    flex-direction: column;
    padding:20px;
}
h1{
    font-size: 4vw;
    background:linear-gradient(to right,white,rgb(9,192,216),rgb(215,12,94));
    background-clip:text;
    -webkit-text-fill-color:transparent;
}
.upload-image{
    max-width:600px;
    width:90%;
    height:300px;
    background-color:rgb(66,76,86);
    padding:20px;
    display:flex;
    align-items:center;
    justify-content:center;
    gap:10px;
    flex-direction:column;
    border-radius:50px;
    box-shadow:2px 2px 10px black;
}
.inner-upload-image{
    width:100%;
    height:80%;
    background-color:rgb(30,38,46);
    border-radius:50px;
    box-shadow:2px 2px 10px black;
    display:flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap:20px;
    color:white;
    font-size:20px;
    transition:all 0.3s;
    cursor:pointer;
}
.inner-upload-image:hover{
    box-shadow:2px 2px 10px black;
    background-color:rgb(42,51,62);
}
button{
    background-color:black;
    padding:10px 20px;
    font-size:20px;
    border:none;
    border-radius:20px;
    color:white;
    cursor:pointer;
}
#image{
    width:100%;
    height:100%;
    display:none;
    border-radius:50px;
}
.output{
    width:90%;
    max-width: 700px;
    background-color: rgb(2,3,3);
    color:white;
    box-shadow:2px 2px 10px black;
    border-radius:20px;
    display:none;
    overflow:auto;
}
#text{
    width:100%;
    height:100%;
}
#loading{
    margin-top:30px;
    filter:drop-shadow(2px 2px 10px black);
    display:none;
}